Subject: Re: [dtn] draft-ietf-dtn-bpsec-default-sc-00 WG Last Call

From: Mehmet Adalier <[email-masked]>
Date: Tue, 02 Feb 2021 09:55:14 -0800

Dear WG,
This is a well written draft and I believe it will enhance the usability of BPSec by providing an interoperable default mechanism.

I have several suggestions regarding this draft that should be considered before it is approved.

1) Regarding Integrity
Section 3.3.1 SHA Variant
Given that the default Encryption algorithm for BPSec is deemed to be AES256 (per section 4.3.2) (and also specific use-cases such as the Lunar Network requiring AES256), the *default integrity* algorithm should be at least HMAC384/SHA384). I won't go into details but please check NIAP/Common Criteria, the old Suite B etc.)

Section 3.3.2 Encapsulated Key and 3.5 Key Considerations
When " Keys extracted from encapsulated key material carried in the BIB", the encapsulated key SHOULD be protected by an approved algorithm such as NIST SP-800-38F." Otherwise, default implementations will not be interoperable. 

2) Regarding Encryption/Decryption
Not sure why Section 3.3.1 is named the "SHA Variant" but Section 4.3.2 is named "Key Length" (could these two be made consistent?)
Section 4.1 Overview and 4.3.2 Key Length
AES192 security is questionable. I would suggest dropping it from the list.

Section 4.3.3 Encapsulated Key and 4.5 Key Considerations
When " Keys extracted from encapsulated key material carried in the BCB", the encapsulated key SHOULD be protected by an approved algorithm such as NIST SP-800-38F." Otherwise, default implementations will not be interoperable.

Section 4.7.2
" .....an IV MAY be derived from local security policy in cases where IVs are predictable (such as always using an IV of 0 with constantly differing keys)."
Is simply not allowed. Please check NIST SP-800-38D Section 8.2 for special requirements of establishing an acceptable IV for the GCM algorithm. 

v/r,
Mehmet

On 1/26/21, 3:37 PM, "dtn on behalf of Rick Taylor" <[email-masked] on behalf of [email-masked]> wrote:

    Hi All,
    
    A new draft, draft-ietf-dtn-bpsec-default-sc-00, has been posted as an update and rename of draft-ietf-dtn-bpsec-interop-sc-02.  This draft describes the default (previously interop) Security Context to be used with BPSec, and is a normative reference required by BPSec.  
    
    As the document has existed for some years under previous names, the chairs have decided to immediately start a Working Group Last Call, lasting until Tuesday 9th February.  This short timescale is to avoid delaying BPSec any further.
    
    Please take some time to review the latest changes and send comment to the list.  As usual, silence will be taken as acceptance.
    
    Cheers,
    
    Rick and Ed,
    Co-chairs.
    
    _______________________________________________
    dtn mailing list
    [email-masked]
    https://www.ietf.org/mailman/listinfo/dtn